<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php dcInfo('lang'); ?>"
lang="<?php dcInfo('lang'); ?>">

<head>

<meta http-equiv="Content-Type" content="text/html; charset=<?php dcInfo('encoding'); ?>" />
<meta name="MSSmartTagsPreventParsing" content="TRUE" />
<?php dcHeadLinks(); ?>
<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php dcInfo('rss'); ?>" />
<link rel="alternate" type="application/xml" title="Atom" href="<?php dcInfo('atom'); ?>" />
<meta name="DC.title" content="<?php dcCustomTitle('%s - '); dcInfo(); ?>" />
<title><?php dcSinglePostTitle('%s - '); dcSingleCatTitle('%s - '); dcSingleMonthTitle('%s - '); dcCustomTitle('%s - '); dcInfo(); ?></title>

<link rel="shortcut icon" type="image/x-icon" href="/favicon.png" />
<link rel="stylesheet" type="text/css" href="<?php dcInfo('theme'); ?>/style.css" media="screen" />
<?php dcPostTrackbackAutoDiscovery(); ?>

</head>

<body>

<ul id="menu">
	<li><a href="<?php dcInfo('url'); ?>">
	<?php create_title("Accueil","#C60701","#C7D785","22",$_SERVER['DOCUMENT_ROOT'].$GLOBALS['theme_uri'].$GLOBALS['__theme']."/font.ttf"); ?>
	</a></li>
	<li><a href="#">
	<?php create_title("Jukebox","#C60701","#C7D785","22",$_SERVER['DOCUMENT_ROOT'].$GLOBALS['theme_uri'].$GLOBALS['__theme']."/font.ttf"); ?>
	</a></li>
	<li><a href="#">
	<?php create_title("Galerie","#C60701","#C7D785","22",$_SERVER['DOCUMENT_ROOT'].$GLOBALS['theme_uri'].$GLOBALS['__theme']."/font.ttf"); ?>
	</a></li>
	<li><a href="#">
	<?php create_title("Liens","#C60701","#C7D785","22",$_SERVER['DOCUMENT_ROOT'].$GLOBALS['theme_uri'].$GLOBALS['__theme']."/font.ttf"); ?>
	</a></li>
	<li><a href="#">
	<?php create_title("Rss","#C60701","#C7D785","22",$_SERVER['DOCUMENT_ROOT'].$GLOBALS['theme_uri'].$GLOBALS['__theme']."/font.ttf"); ?>
	</a></li>
</ul>

<div id="page">

	<div id="main">
		
		<div id="content">

			<?php if ($err_msg != '') : /* Si on a une quelconque erreur, on l'affiche */?>
			<div class="error"><strong>Erreur : </strong>
			<?php echo $err_msg; ?></div>

			<?php elseif (is_callable(array('dcRelatedPages','relatedMode')) && dcRelatedPages::relatedMode()) : ?>
			<?php dcRelatedPages::includeFile('<div class="related"><h2>%s</h2><div class="related-chapo">%s</div><div class="related-content">%s</div></div>',array('post_titre','post_chapo','post_content')); ?>

			<?php elseif ($preview) : /* Si on demande la prvisualisation d'un commentaire */?>

			<div id="comments">
				<div id="com">
					<h3 id="co"><?php create_title("Votre commentaire","#C60701","#C7DDF2","22",$_SERVER['DOCUMENT_ROOT'].$GLOBALS['theme_uri'].$GLOBALS['__theme']."/font.ttf"); ?>
					</h3>

					<div id="comment-preview">
						<blockquote>
						<?php dcCommentPreview(); ?>
						</blockquote>
					</div>
				</div>

				<div id="add-com">
					<h3 id="add-co"><?php create_title("Changer le commentaire","#C60701","#C7DDF2","22",$_SERVER['DOCUMENT_ROOT'].$GLOBALS['theme_uri'].$GLOBALS['__theme']."/font.ttf"); ?></h3>
					<?php include dirname(__FILE__).'/form.php'; ?>
				</div>
	
			</div>

			<?php elseif ($mode != 'post') : /* Si aucune erreur et mode != post on affiche une liste de billets */?>
			<?php # Phrase affich en cas de recherche (%s est le mot cherch)
			dcSearchString('<p>R&eacute;sultats de votre recherche de <em>%s</em>.</p>');
			?>

			<?php include dirname(__FILE__).'/list.php'; ?>

			<?php else : /* Sinon, mode = post, donc billet unique (avec commentaires et tout le reste)*/?>
			<?php include dirname(__FILE__).'/post.php'; ?>
			<?php endif; ?>

		</div>
		
	</div>

</div>

<div id="footer">
	<div id="pampa"></div>
	<div id="herbe"></div>
</div>

</body>
</html>